fmt_strn(3)

NAME
fmt_strn - write an ASCII string

SYNTAX
#include <libowfat/fmt.h>

size_t fmt_strn(char *dest,const char *source,
                      size_t maxlen);

DESCRIPTION
fmt_str copies at most maxlen leading nonzero bytes from source to dest and returns the number of bytes it copied.

fmt_str does not append \0.

If dest equals FMT_LEN (i.e. is zero), fmt_strn returns the number of bytes it would have written.

SEE ALSO
strncpy(3)